lp:foliate

Get this repository:
git clone https://git.launchpad.net/foliate

Import details

Import Status: Reviewed

This repository is an import of the Git repository at https://github.com/johnfactotum/foliate.git.

The next import is scheduled to run .

Last successful import was .

Import started on juju-1e3bde-prod-lp-code-import-12 and finished taking 15 seconds — see the log
Import started on juju-1e3bde-prod-lp-code-import-17 and finished taking 15 seconds — see the log
Import started on juju-1e3bde-prod-lp-code-import-16 and finished taking 20 seconds — see the log
Import started on juju-1e3bde-prod-lp-code-import-15 and finished taking 15 seconds — see the log
Import started on juju-1e3bde-prod-lp-code-import-14 and finished taking 15 seconds — see the log
Import started on juju-1e3bde-prod-lp-code-import-13 and finished taking 15 seconds — see the log
Import started on juju-1e3bde-prod-lp-code-import-12 and finished taking 15 seconds — see the log
Import started on juju-1e3bde-prod-lp-code-import-17 and finished taking 15 seconds — see the log
Import started on juju-1e3bde-prod-lp-code-import-17 and finished taking 15 seconds — see the log
Import started on juju-1e3bde-prod-lp-code-import-17 and finished taking 15 seconds — see the log

Branches

Name Last Modified Last Commit
master 2021-11-13 04:20:36 UTC
Specify WebKit version to be used (#808)

Author: Dominique Leuenberger aka DimStar
Author Date: 2021-11-13 04:20:36 UTC

Specify WebKit version to be used (#808)

WebKit exists in multiple versions, namely:
4.0: Gtk 3 / LibSoup 2
4.1: Gtk 3 / Libsoup 3
5.0: Gtk 4 / Libsoup 3

If a user happens to have the GTK 4 variant installed, foliate fails to launch:

(com.github.johnfactotum.Foliate:25683): Gjs-CRITICAL **: 20:25:28.434: JS ERROR: Error: Requiring WebKit2, version none: Requiring namespace 'Gtk' version '4.0', but '3.0' is already loaded
@resource:///com/github/johnfactotum/Foliate/js/main.js:23:42
@/usr/bin/foliate:9:1

Pin foliate to WebKit 2 - 4.0 to circumvent this (4.1 could possibly work, but I doubt any testing was done with Soup 3 so far)

Originally reported downstream at https://bugzilla.opensuse.org/show_bug.cgi?id=1192627

gh-pages 2020-10-22 07:32:59 UTC
Fix package name

Author: John Factotum
Author Date: 2020-10-22 07:32:59 UTC

Fix package name

1.x 2019-10-09 01:22:07 UTC
Right align doesn't work well with tables

Author: John Factotum
Author Date: 2019-10-09 01:22:07 UTC

Right align doesn't work well with tables

13 of 3 results
This repository contains Public information 
Everyone can see this information.